SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Classes | Namespaces | Macros | Typedefs
TwoWayAuthentication.h File Reference

Implements two way authentication. More...

`#include "NativeFeatureIncludes.h"`
`#include "DR_SHA1.h"`
`#include "PluginInterface2.h"`
`#include "memoryoverride.h"`
`#include "NativeTypes.h"`
`#include "string.h"`
`#include "DS_Hash.h"`
`#include "DS_Queue.h"`

Go to the source code of this file.

## Classes

class | SLNet::TwoWayAuthentication
| Implements two way authentication. More...
struct | SLNet::TwoWayAuthentication::PendingChallenge
struct | SLNet::TwoWayAuthentication::NonceAndRemoteSystemRequest
struct | SLNet::TwoWayAuthentication::NonceGenerator

## Namespaces

namespace | SLNet
| Simple class to send changes between directories. In essence, a simple autopatcher that can be used for transmitting levels, skins, etc.

## Macros

#define | NONCE_TIMEOUT_MS 10000
#define | CHALLENGE_MINIMUM_TIMEOUT 3000
#define | TWO_WAY_AUTHENTICATION_NONCE_LENGTH 20
#define | HASHED_NONCE_AND_PW_LENGTH SHA1_LENGTH

## Typedefs

typedef int64_t | FCM2Guid

## Detailed Description

Implements two way authentication.

Given two systems, each of whom known a common password, verify the password without transmitting it This can be used to determine what permissions are should be allowed to the other system

Definition in file TwoWayAuthentication.h.

## Macro Definition Documentation

#define CHALLENGE_MINIMUM_TIMEOUT 3000

Definition at line 32 of file TwoWayAuthentication.h.

#define HASHED_NONCE_AND_PW_LENGTH SHA1_LENGTH

Definition at line 44 of file TwoWayAuthentication.h.

#define NONCE_TIMEOUT_MS 10000

Definition at line 30 of file TwoWayAuthentication.h.

#define TWO_WAY_AUTHENTICATION_NONCE_LENGTH 20

Definition at line 43 of file TwoWayAuthentication.h.

## Typedef Documentation

typedef int64_t FCM2Guid

Definition at line 54 of file TwoWayAuthentication.h.